package com.bankaudit.service;

import java.util.List;

import com.bankaudit.dto.DataTableResponse;
import com.bankaudit.model.MaintHealthIndex;

public interface MaintHealthIndexService {
	
	List<MaintHealthIndex> getMaintHealthIndexs();
	
	List<MaintHealthIndex> getMaintHealthIndexsExceptThis(Integer legalEntityCode,String healthIndexCode);
	
	MaintHealthIndex getMaintHealthIndex(Integer legalEntityCode, String healthIndexCode, String status);
	
	DataTableResponse getMaintHealthIndexs(Integer legalEntityCode, String search, Integer orderColumn,
			String orderDirection, Integer page, Integer size);
	
	List<MaintHealthIndex> getMaintHealthIndexforUpdate(Integer legalEntityCode, String status);
	
	void createMaintHealthIndex(List<MaintHealthIndex> maintHealthIndexs)throws Exception;
	
	void updateMaintHealthIndexs(List<MaintHealthIndex> maintHealthIndexs);
	
	Boolean isMaintHealthIndex(Integer legalEntityCode);
	
	MaintHealthIndex getHealthIndexOnPercentage(Integer legalEntityCode, Integer riskScore);

	Boolean isHealthIndexCode(Integer legalEntityCode,  String healthIndexCode);

}
